package cokr.xit.fims.base;

import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;

import cokr.xit.foundation.data.DataObject;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class SseEntity {
	private long createdAt;
	private SseEmitter emitter;
	private DataObject progress;

	public SseEntity(SseEmitter emitter) {
		this.createdAt = System.currentTimeMillis();
		this.emitter = emitter;
		this.progress = new DataObject();
	}
}